dbXML API

## org.dbxml.xml.dom
Class NamedNodeMapImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--org.dbxml.xml.dom.NodeListImpl
                              |
                              +--org.dbxml.xml.dom.NamedNodeMapImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, org.w3c.dom.NamedNodeMap, org.w3c.dom.NodeList, java.io.Serializable

public final class NamedNodeMapImpl
extends NodeListImpl
implements org.w3c.dom.NamedNodeMap

NamedNodeMapImpl

See Also:
  Serialized Form

Constructor Summary
`NamedNodeMapImpl(NodeImpl owner)`

Method Summary
`org.w3c.dom.Node` `getNamedItem(java.lang.String name)` Retrieves a node specified by name.
`org.w3c.dom.Node` `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` `removeNamedItem(java.lang.String name)` Removes a node specified by name.
`org.w3c.dom.Node` `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` `setNamedItem(org.w3c.dom.Node arg)` Adds a node using its `nodeName` attribute.
`org.w3c.dom.Node` `setNamedItemNS(org.w3c.dom.Node arg)`

Methods inherited from class org.dbxml.xml.dom.NodeListImpl
`getLength, item`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.NamedNodeMap
`getLength, item`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### NamedNodeMapImpl

    public NamedNodeMapImpl(NodeImpl owner)

Method Detail

### getNamedItem

    public org.w3c.dom.Node getNamedItem(java.lang.String name)

  Retrieves a node specified by name.
  Specified by:
    `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Parameters:
    `name` - Name of a node to retrieve.
  Returns:
    A `Node` (of any type) with the specified name, or `null` if the specified name did not identify any node in the map.

### setNamedItem

    public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)
                                  throws org.w3c.dom.DOMException

  Adds a node using its `nodeName` attribute.
  As the `nodeName` attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased.
  Specified by:
    `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Parameters:
    `arg` - A node to store in a named node map. The node will later be accessible using the value of the `nodeName` attribute of the node. If a node with that name is already present in the map, it is replaced by the new one.
  Returns:
    If the new `Node` replaces an existing node with the same name the previously existing `Node` is returned, otherwise `null` is returned.
  Throws:
    `org.w3c.dom.DOMException` - WRONG_DOCUMENT_ERR: Raised if `arg` was created from a different document than the one that created the `NamedNodeMap`.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this `NamedNodeMap` is readonly.
    INUSE_ATTRIBUTE_ERR: Raised if `arg` is an `Attr` that is already an attribute of another `Element` object. The DOM user must explicitly clone `Attr` nodes to re-use them in other elements.

### removeNamedItem

    public org.w3c.dom.Node removeNamedItem(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Removes a node specified by name. If the removed node is an `Attr` with a default value it is immediately replaced.
  Specified by:
    `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Parameters:
    `name` - The name of a node to remove.
  Returns:
    The node removed from the map or `null` if no node with such a name exists.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised if there is no node named `name` in the map.

### getNamedItemNS

    public org.w3c.dom.Node getNamedItemNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### setNamedItemNS

    public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)
                                    throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                              java.lang.String localName)
                                       throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved